class JDB {
    constructor(cdn_url) {
      this.fs = require("fs");
      this.cdn_url = `./JDB/JDBF/${cdn_url}.json`;
    }
  
    readData() {
      const jsonData = this.fs.readFileSync(this.cdn_url, "utf-8");
  
      return JSON.parse(jsonData);
    }
  
    writeData(data) {
      this.fs.writeFileSync(
        this.cdn_url,
        JSON.stringify("{" + data + "}")
          .replace(/^"|"$/g, "")
          .replace(/\\/g, ""),
      );
    }
    getData(key) {
      const jsonData = this.fs.readFileSync(this.cdn_url, "utf-8");
      const parsedData = JSON.parse(jsonData);
      return parsedData[key];
    }
  
    setData(name, value) {
      var jsonData = this.fs.readFileSync(this.cdn_url, "utf-8");
      var parsedData = JSON.parse(jsonData);
      parsedData[name] = value;
      this.fs.writeFileSync(this.cdn_url, JSON.stringify(parsedData));
    }
  
    removeData(name) {
      const jsonData = this.fs.readFileSync(this.cdn_url, "utf-8");
      const parsedData = JSON.parse(jsonData);
      delete parsedData[name];
      this.fs.writeFileSync(this.cdn_url, JSON.stringify(parsedData));
    }
  
    addData(key, value) {
      var jsonData = this.fs.readFileSync(this.cdn_url, "utf-8");
      var parsedData = JSON.parse(jsonData);
      parsedData[key] = value;
      this.fs.writeFileSync(this.cdn_url, JSON.stringify(parsedData));
    }
  
    addBigData(dataString) {
      var jsonData = this.fs.existsSync(this.cdn_url)
        ? this.fs.readFileSync(this.cdn_url, "utf-8")
        : "{}";
      var parsedData = JSON.parse(jsonData);
      const newData = JSON.parse(`{${dataString}}`);
      Object.assign(parsedData, newData);
      this.fs.writeFileSync(this.cdn_url, JSON.stringify(parsedData, null, 2));
    }
  
    removeAllData(brackets) {
      if (brackets == true) {
        this.fs.writeFileSync(this.cdn_url, "{}");
      } else {
        this.fs.writeFileSync(this.cdn_url, "");
      }
    }
  }
  const fss = require("fs");
  
  function CreateJDBF(name) {
    fss.writeFileSync("./JDB/JDBF/" + name + ".json", "{}");
  }
  
  function DestroyJDBF(name) {
    fss.unlinkSync("./JDB/JDBF/" + name + ".json");
  }
  
  function IntegrateJDBF(oldf, newf) {
    var data = fss.readFileSync("./JDB/JDBF/" + oldf + ".json", "utf-8");
    var parsed = JSON.parse(data);
    fss.writeFileSync("./JDB/JDBF/" + newf + ".json", JSON.stringify(parsed));
  }
  
  function DuplicateJDBF(file, name) {
    var d = fss.readFileSync("./JDB/JDBF/" + file + ".json", "utf-8");
    var par = JSON.parse(d);
    fss.writeFileSync("./JDB/JDBF/" + name + `.json`, JSON.stringify(par));
  }
  
  module.exports = {
    JDB,
    CreateJDBF,
    DestroyJDBF,
    IntegrateJDBF,
    DuplicateJDBF,
  };
  